# Keylex

Keylex is a Python library designed for efficient and flexible keyword extraction and matching. It supports various techniques, from basic exact matching to advanced fuzzy matching, with options for industry-specific and domain-tailored use cases. The library provides extensibility through custom matchers and extractors, making it an excellent choice for NLP applications like news article analysis, content classification, and keyword detection.

## Features

- **Multiple Matching Strategies**: Includes exact match, case-insensitive match, fuzzy match, regex match, and more.
- **NER Integration**: Leverages Named Entity Recognition (NER) for extracting entities from text.
- **Fuzzy Matching**: Incorporates fuzzy matching using techniques like Levenshtein distance.
- **Extensible**: Easily extendable with custom matchers and extractors.
- **Industry-Specific**: Tailored options for processing news articles and other text-heavy domains.
- **Simple API**: Easy to integrate with your existing projects.

## Installation

To install Keylex, use **Poetry** to manage your dependencies. If you don’t have Poetry installed, follow the instructions [here](https://python-poetry.org/docs/#installation).

### Using Poetry:

```bash
poetry add keylex
```
